! ===========================================================================
MODULE ACT_options

! This module contains the options in the likelihood code
!
! ===========================================================================

!---------------------------------------------------
! location of input data
! ---------------------------------------------------
	 
  character(len=*), parameter :: ACT_data_dir = './data_act/'


!----------------------------------------------------                                
! template options                                                                   
! change these to consider alternative SZ and clustered source templates 
!----------------------------------------------------                            
      
  character(len=*), parameter :: szfilename ='Fg/cl_sz_148_tbo1.dat'
  character(len=*), parameter :: srcfilename='Fg/cl_corr_148_src1.dat'

!---------------------------------------------------
! likelihood terms from ACT
!---------------------------------------------------
  integer,parameter   :: num_ACT   = 2    ! number of chi2 terms in likelihood
  integer,parameter   :: ttlike    = 1    ! 148 temp likelihood
  integer,parameter   :: beamlike  = 2    ! beam likelihood

  integer :: bmin, bmax
  integer :: tt_lmax                = 10000  
  integer, parameter :: bmax0       = 59  !max nbins in ACT data	
!---------------------------------------------------
! ell range of bin centers to be used in the likelihood code
! change these to consider a more limited bin range 
!---------------------------------------------------
  integer :: lmin                 =  500    !Not below 500
  integer :: lmax                 =  10000  !Not above 10000

!---------------------------------------------------
! various likelihood options
! change these to include/ exclude beam and calibration error
!---------------------------------------------------

  logical :: write_comps            = .false.
  real(8) :: calib_err            =  0.04d0  !fractional in power, 2% in maps
  logical :: use_act_beam           = .true. !use ACT beam error
 
!-------------------------------------------------------
  real(8), parameter    :: PI    = 3.14159265358979323846264d0

END MODULE ACT_OPTIONS
